=== debian/changelog ===
openrc (0.12.4+20131230-9) unstable; urgency=medium

  * Uploading to unstable.
  * Fix mounting of /run in Hurd & kFreeBSD, thanks to Gabriele's (gg0)
    patch correction.
  * Adds 2 new patches for the loop solver:
    - 0130-option-rc_loopsolver_warnings.patch
    - 0140-loopsolver-doubleprint-fix.patch
  * New version of the lsb2rcconf (LSB header support) patch.
  * Allow non-sh shebang in init.d scripts.
  * Added 0200-GNU-kFreeBSD_add-missing-files.patch, and as a consequence,
    build-depends: libkvm-dev [kfreebsd-i386], libkvm-dev [kfreebsd-amd64].

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 17:34:25 +0800

openrc (0.12.4+20131230-8) experimental; urgency=low

  [ Benda Xu <heroxbd@gentoo.org> ]
  * control, rules: add librc1-dbg and libeinfo1-dbg.
  * lsb2rcconf: handle required-stop,should-stop and X-Stop-After.
  * add runlevel "off" to hold all the shutdown scripts. (Closes: #736384)
    + openrc.postinst: load scripts from rc6.d into "off" runlevel
    + rc: enter and leave off runlevel before shutdown/reboot
    + rules: savecache moved from runlevel shutdown to off
    + update-rc.d: redirect shutdown to off
  * rules: clean librc.funcs.hidden.list, the test suite leftover.
  * control: remove the perl dependency, lsb.pl is superseded by lsb2rcconf.
  * include the dependency loop detection patch from Dmitry Yu Okunev
    <dyokunev@ut.mephi.ru>, so that bug #736400 is circumvented.

  [ Thomas Goirand ]
  * Updated VCS fields to use the new "openrc" Alioth packaging group.
  * Updated the Maintainer: field to use the Alioth list.
  * Updates Hurd patch: thanks to Svante Signell <svante.signell@gmail.com> for
    his work (Closes: #736636).
  * Stores rc and rcS directly in /etc/init.d in the .deb of OpenRC, rather
    than using dangerous and useless maintainer scripts (Closes: #736367).
  * Fix the /etc/init.d/savecache shebang to use openrc-run instead of
    runscript.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jan 2014 15:44:47 +0000

openrc (0.12.4+20131230-7) experimental; urgency=medium

  * lsb2rcconf two updates from Dmitry Yu Okunev <dyokunev@ut.mephi.ru>:
    - adjust c code style to OpenRC guideline (allowed re-enabled unit tests)
    - output nothing in absence of LSB header

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Jan 2014 08:24:21 +0000

openrc (0.12.4+20131230-6) experimental; urgency=low

  * Added purge of /etc/runlevels, /lib/rc, and /etc/init.d/{rc,transit,rcS}
    if OpenRC is purged.
  * Replaces the lsb.pl patch with an implementation in C, which doesn't need
    to have /usr mounted early in the boot process (Closes: #734371).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Jan 2014 15:40:36 +0800

openrc (0.12.4+20131230-5) experimental; urgency=low

  * OpenRC now supports Debian GNU/Hurd! :) Thanks to Svante Signell
    <svante.signell@gmail.com> for working on this.
    - Added patches for GNU/Hurd FTBFS
    - Added patches for GNU/Hurd missing files
    - Reorganized all patches

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jan 2014 20:09:55 +0800

openrc (0.12.4+20131230-4) experimental; urgency=medium

  [ Benda Xu ]
  * Add myself to the uploaders field.
  * rc-update: Add the feature of removing a service from all runlevels.
    update-rc.d: make use of the new rc-update feature.
  * Rename "single" runlevel to "recovery".
    OpenRC treats single runlevel specially.

  [ Thomas Goirand ]
  * Added etc/rc.conf.GNU and mk/os-GNU.mk to have a chance to be able to build
    under GNU Hurd.
  * Patches librc.h so that it works for Hurd.
  * Added missing dependency on insserv (Closes: 734283). Thanks to Axel
    Beckert <abe@debian.org> for finding this out and his bug report.
  * Now conflicts with file-rc (Closes: #734406), thanks to Michael Gilbert
    <mgilbert@debian.org> for reporting the problem.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jan 2014 07:01:23 +0000

openrc (0.12.4+20131230-3) experimental; urgency=medium

  * Added creation of single user symlinks in /etc/runlevels/single in the
    postinst script of OpenRC (otherwise single user mode doesn't work).

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jan 2014 17:10:15 +0000

openrc (0.12.4+20131230-2) experimental; urgency=medium

  * Delete gentoo specific config folders in /etc from the openrc package.
  * Adds missing /etc/runlevels/single folder. Without it, reinstalling
    the initscripts package fails.
  * Warns users about how to do the first reboot when switching from sysv-rc
    to OpenRC.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jan 2014 05:42:12 +0000

openrc (0.12.4+20131230-1) experimental; urgency=low

  * Initial release (Closes: 684396).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 21:08:24 +0900
