=== src/rc/Makefile ===
--- 
+++ 
@@ -4,7 +4,11 @@
 		rc-misc.c rc-plugin.c rc-service.c rc-status.c rc-update.c \
 		runscript.c rc.c swclock.c
 
-CLEANFILES=	version.h
+ifeq (${MKSELINUX},yes)
+SRCS+=		rc-selinux.c
+endif
+
+CLEANFILES=	version.h rc-selinux.o
 
 BINDIR=		${PREFIX}/bin
 SBINDIR=	${PREFIX}/sbin
@@ -91,5 +95,5 @@
 
 check test::
 
-links: $PROG
-	$(call make-links,${ALL_LINKS},$PROG,.)
+links: ${PROG}
+	$(call make-links,${ALL_LINKS},${PROG},.)
