=== debian/changelog ===
openrc (0.13.1-4) unstable; urgency=high

  * runtest.sh: expect nested function rc_deptree_remove_loopdependency
    from dependency loop solver to be listed in the relocation section on
    some architectures like arm and ppc. (Closes: #763681)

 -- Benda Xu <heroxbd@gentoo.org>  Mon, 27 Oct 2014 01:30:35 +0900

openrc (0.13.1-3) unstable; urgency=medium

  [ Gabriele Giacone ]
  * Fix postinst, make dangling links presence not fatal (Closes: #765785).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 25 Oct 2014 15:30:56 +0200

openrc (0.13.1-2) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Add 0210-GNU-kFreeBSD_workaround-nxstack.patch:
    - loopsolver: don't use executable stacks
    - fixes a crash on newer versions of kfreebsd that enforce
      non-executable stacks (Closes: #765070)
  * Drop unnecessary dependency on libkvm-dev [kfreebsd-any]

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 18 Oct 2014 17:28:16 +0100

openrc (0.13.1-1) unstable; urgency=medium

  * New upstream release 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 17 Oct 2014 15:53:29 +0530

openrc (0.12.4+20131230-10) unstable; urgency=medium

  * Revert lsb-deps-on-"all" changes introduced with -9.
    + Get shutdown immediate back on Hurd (Closes: #739703).
  * Fix long descriptions. Thanks to Justin B Rye (Closes: #740611).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 10 Mar 2014 00:40:07 +0100
