=== debian/control ===
Source: openrc
Section: admin
Priority: extra
Maintainer: OpenRC Debian Maintainers <openrc-devel@lists.alioth.debian.org>
Uploaders: Roger Leigh <rleigh@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Benda Xu <heroxbd@gentoo.org>, Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://www.gentoo.org/proj/en/base/openrc/
Vcs-Git: git://anonscm.debian.org/openrc/openrc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openrc/openrc.git;a=summary

Package: openrc
Architecture: any
Conflicts: file-rc, sysv-rc
Replaces: sysv-rc
Provides: sysv-rc
Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runlevel change mechanism)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the runlevel change mechanism.

Package: openrc-dbg
Architecture: any
Section: debug
Depends: openrc (= ${binary:Version}), ${misc:Depends}
Description: dependency based init system (runlevel change mechanism) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package contains the debugging symbols for OpenRC.

Package: librc1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime library)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the runtime library.

Package: librc1-dbg
Section: debug
Architecture: any
Depends: librc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime library) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the debug symbols for the runtime library.

Package: librc-dev
Architecture: any
Section: libdevel
Depends: librc1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime development)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides development files for the runtime library.

Package: libeinfo1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty console display library)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides a runtime library that supports displaying messages on
 the console.

Package: libeinfo1-dbg
Section: debug
Architecture: any
Depends: libeinfo1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty console display library) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the debug symbols for libeinfo1, a runtime library that
 supports displaying messages on the console.

Package: libeinfo-dev
Architecture: any
Section: libdevel
Depends: libeinfo1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty control display development)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides a development library that supports displaying messages
 on the console.
