=== debian/watch ===
version=3
https://github.com/OpenRC/openrc/tags /OpenRC/openrc/archive/openrc-(\d[\d\.]+)\.tar\.gz
